
<div class="row">
    <div class="col-xs-12">
        <app-box [noPadding]="true" title="Steps" [loading]="deploySteps.loading | async" [collapsed]="true">
            <div class="table-responsive">
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>Step No</th>
                            <th>Description</th>
                        </tr>
                    </thead>
                    <tbody *ngIf="(deploySteps.deploySteps | async).length else empty">
                    <tr *ngFor="let deployStep of deploySteps.deploySteps | async; let i = index">
                        <td><a routerLink="/projects/{{project.id}}/deploySteps/{{deployStep.id}}/commands">Step {{i + 1}}</a></td>
                        <td>{{deployStep.description}}</td>
                    </tr>
                    </tbody>
                    <ng-template #empty>
                        <tbody>
                            <tr>
                                <td colspan="2">No Steps defined</td>
                            </tr>
                        </tbody>
                    </ng-template>
                </table>
            </div>
        </app-box>
    </div>
</div>